#include "msw.h"
#include "armplat.h"
//for i.MX8mm 
int main(int argc,char **argv)
{
	int result = 0;
	unsigned int bat_stat = 0;


	result = read_battery(&bat_stat);

	if(result)
	{
		printf("batter(%d) : battery status read error\n",result);
		return FAILURE;
	}
	else
	{
		if(bat_stat) 
			printf("Battery Status = FAIL\n");
		else
			printf("Battery Status = OK\n");
	}

	return NOERROR;
}

